OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKXSBase
MoniTool

# MoniTool_IndexedDataMapNodeOfIndexedDataMapOfShapeTransient Class Reference

`#include <MoniTool_IndexedDataMapNodeOfIndexedDataMapOfShapeTransient.hxx>`

## Public Member Functions
| MoniTool_IndexedDataMapNodeOfIndexedDataMapOfShapeTransient (const TopoDS_Shape &K1, const Standard_Integer K2, const Handle(Standard_Transient)&I, const TCollection_MapNodePtr &n1, const TCollection_MapNodePtr &n2)
TopoDS_Shape & | Key1 () const
Standard_Integer & | Key2 () const
TCollection_MapNodePtr & | Next2 () const
Handle_Standard_Transient & | Value () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
TopoDS_Shape | myKey1
Standard_Integer | myKey2
Handle_Standard_Transient | myValue
TCollection_MapNodePtr | myNext2

## Constructor & Destructor Documentation

MoniTool_IndexedDataMapNodeOfIndexedDataMapOfShapeTransient::MoniTool_IndexedDataMapNodeOfIndexedDataMapOfShapeTransient | ( | const TopoDS_Shape & | K1,
|  | const Standard_Integer | K2,
|  | const Handle(Standard_Transient)& | I,
|  | const TCollection_MapNodePtr & | n1,
|  | const TCollection_MapNodePtr & | n2
| ) |

## Member Function Documentation

Standard_EXPORT const MoniTool_IndexedDataMapNodeOfIndexedDataMapOfShapeTransient::Handle | ( | Standard_Type |  | ) | const

TopoDS_Shape& MoniTool_IndexedDataMapNodeOfIndexedDataMapOfShapeTransient::Key1 | ( |  | ) | const

Standard_Integer& MoniTool_IndexedDataMapNodeOfIndexedDataMapOfShapeTransient::Key2 | ( |  | ) | const

TCollection_MapNodePtr& MoniTool_IndexedDataMapNodeOfIndexedDataMapOfShapeTransient::Next2 | ( |  | ) | const

Handle_Standard_Transient& MoniTool_IndexedDataMapNodeOfIndexedDataMapOfShapeTransient::Value | ( |  | ) | const

## Field Documentation

TopoDS_Shape MoniTool_IndexedDataMapNodeOfIndexedDataMapOfShapeTransient::myKey1`[private]`

Standard_Integer MoniTool_IndexedDataMapNodeOfIndexedDataMapOfShapeTransient::myKey2`[private]`

TCollection_MapNodePtr MoniTool_IndexedDataMapNodeOfIndexedDataMapOfShapeTransient::myNext2`[private]`

Handle_Standard_Transient MoniTool_IndexedDataMapNodeOfIndexedDataMapOfShapeTransient::myValue`[private]`

The documentation for this class was generated from the following file:

- MoniTool_IndexedDataMapNodeOfIndexedDataMapOfShapeTransient.hxx